org.eclipse.eef.core.api.controllers

## Interface IEEFMultipleReferencesController

All Superinterfaces:
  IEEFController, IEEFWidgetController

    public interface IEEFMultipleReferencesController
    extends IEEFWidgetController

The IEEFMultipleReferencesController is responsible of supporting all the interactions with the widgets created for a multiple references viewer.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `create()` Invoked when the user pushes the create button.
`void` `down(java.util.List<java.lang.Object> elements)` Invoked when the user pushes the down button.
`void` `onClick(java.lang.Object element)` Invoked when the user double clicks on a reference.
`void` `onNewValue(IConsumer<java.util.List<java.lang.Object>> consumer)` Register a consumer which will be called with the new value of the text when it will change.
`void` `removeNewValueConsumer()` Remove the consumer of the new value of the text.
`void` `search()` Invoked when the user pushes the search button.
`void` `unset(java.util.List<java.lang.Object> elements)` Invoked when the user pushes the unset button.
`void` `up(java.util.List<java.lang.Object> elements)` Invoked when the user pushes the up button.

### Methods inherited from interface org.eclipse.eef.core.api.controllers.IEEFWidgetController

`computeHelp, onNewHelp, onNewLabel, removeNewHelpConsumer, removeNewLabelConsumer`

### Methods inherited from interface org.eclipse.eef.core.api.controllers.IEEFController

`onValidation, refresh, removeValidationConsumer`

### Method Detail

#### onNewValue

    void onNewValue(IConsumer<java.util.List<java.lang.Object>> consumer)

Register a consumer which will be called with the new value of the text when it will change.

Parameters:
  `consumer` - The consumer of the new value of the text

#### removeNewValueConsumer

    void removeNewValueConsumer()

Remove the consumer of the new value of the text.

#### create

    void create()

Invoked when the user pushes the create button.

#### search

    void search()

Invoked when the user pushes the search button.

#### unset

    void unset(java.util.List<java.lang.Object> elements)

Invoked when the user pushes the unset button.

Parameters:
  `elements` - Selected elements

#### up

    void up(java.util.List<java.lang.Object> elements)

Invoked when the user pushes the up button.

Parameters:
  `elements` - Selected elements

#### down

    void down(java.util.List<java.lang.Object> elements)

Invoked when the user pushes the down button.

Parameters:
  `elements` - Selected elements

#### onClick

    void onClick(java.lang.Object element)

Invoked when the user double clicks on a reference.

Parameters:
  `element` - Selected element